Lists skill secret statuses.

GEThttps://api.awork.com/api/v1/agents/skills/secretvalues
GET https://api.awork.com/api/v1/agents/skills/secretvalues

Lists which secrets have saved values for the workspace or the requesting user. The secret values themselves are never returned.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

envVarNamestring or nullOptional

The environment variable name.

scopestringOptional

Allowed: "workspace" "user"

Who provided the stored value.

updatedOnstring or nullOptional
format: date-time

When the value was last updated.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation